StreamingOracle
Keywords: com.prolixtech.jaminid.StreamingOracle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.prolixtech.jaminid
Class StreamingOracle

    java.lang.Object
      com.prolixtech.jaminid.ContentOracle
          com.prolixtech.jaminid.StreamingOracle

    public class StreamingOracle

extends ContentOracle

Author:
  Constantinos Michael

Field Summary
`static java.lang.String` | `PATH_START`

Constructor Summary
`StreamingOracle()`

Method Summary
`java.lang.String` | `demultiplex(Request cReqL, Response cRepL)` the main function of the oracle, is to demux the request and produce an output that is relative to the request.
`byte[]` | `getNextBatch(Request cReqL, Response cRepL)`
`int` | `getStreamInterval()`
`static ContentOracle` | `Instance()`
`java.lang.String` | `publishStream(StreamBundle a, java.lang.String path)`

Methods inherited from class com.prolixtech.jaminid.ContentOracle
`getDelegatedOracle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH_START

    public static final java.lang.String PATH_START

See Also:
  Constant Field Values

Constructor Detail

### StreamingOracle

    public StreamingOracle()

Method Detail

### publishStream

    public java.lang.String publishStream(StreamBundle a,
                                          java.lang.String path)

### Instance

    public static ContentOracle Instance()

### demultiplex

    public java.lang.String demultiplex(Request cReqL,
                                        Response cRepL)

  Description copied from class: `ContentOracle`
  the main function of the oracle, is to demux the request and produce an output that is relative to the request. in this example, it is a static HTML, that is all we care about for now.

  Overrides:
    `demultiplex` in class `ContentOracle`
  Returns:
    the output

### getStreamInterval

    public int getStreamInterval()

### getNextBatch

    public byte[] getNextBatch(Request cReqL,
                               Response cRepL)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD